SOLUÇÃO NVIDIA E MONITOR EXTERNO - PARA PROFUNDO 20.2

SOLUCIÓN NVIDIA
SOLUÇÃO E MONITOR EXTERNO DA NVIDIA

Há um problema ao tentar usar monitores externos em PCs equipados com placas de vídeo Nvidia. Infelizmente, o drivers nvidia Eles tendem a causar problemas no mundo Linux, e muitos de nós sofrem os efeitos colaterais da decisão da Nvidia de não fornecer acesso aos seus drivers, então neste artigo irei explicar o problema que tive e a solução para ele. Solução para a qual Pablo colaborou (@ Senpai86), administrador do grupo Deepin em espanhol no Telegram, e um membro da equipe de desenvolvedores da comunidade, Código Latina.

O problema que tive ao instalar Deepin eram as dependências de bumblebee, especificamente com uma dependência quebrada "Bbswitch-dkms", então Pablo recompilou um plugar novo, que é desenvolvido por Deepin, para convertê-lo em um pacote empacotado em formato deb para fácil instalação. Ele resolve esse problema de dependência.

ETAPAS PARA INSTALAR O BUMBLEBEE

IMPORTANTE: Antes de poder obter a solução para o problema através dos comandos explicados a seguir, deve primeiro ser instalado Deepines Store

Uma vez instalado Deepines Store, entonces procede a abrir una terminal y ejecutar los comandos que se muestran a continuación, ejecútalos en este mismo orden:

sudo apt update && sudo apt install dde-dock-graphics-plugin

Então vamos instalar o abelha

sudo apt install bumblebee

Para aplicar as mudanças, iremos instalar Deepin Graphic gerente, desde a versão 20 do Deepin não vem pré-instalado

sudo apt install deepin-graphics-driver-manager

Agora escolhemos a opção abelha no aplicativo

SOLUCIÓN NVIDIA
Controlador gráfico Deepin

É importante reiniciar e siga as etapas que aparecerão. Eles podem já conseguir usar o monitor externo até agora, se ainda não funcionar, irei explicar uma possível solução para esse problema.

SOLUÇÃO PARA O PROBLEMA COM MONITOR EXTERNO

Esta é uma possível solução que funcionou para mim, antes de aplicar essas etapas, faça um backup.

Com a instalação acima, deve estar no doca o plugar do gráfico

plug-in para controlar os gráficos do doca

Nós escolhemos a opção de Nvidia, nós esperamos pacientemente para que a notificação de mudança seja concluída e nos peça para sair, no entanto, o que devemos fazer é reinicie o computador novamente.

Se você tiver problemas com qualquer uma dessas etapas, ouviremos seus comentários.

NOTA: Se o dock aparecer no outro monitor e você não quiser que ele esteja lá, nas configurações, escolha o monitor que deseja como monitor principal e reinicie.

5 32 votos
Classifique o artigo
 
Inscreva-se
relatório do
20 Reacciones
Mais popular
Mais recentes Mais velho
Opinião do artigo
Ver todos os comentários
Arceli
Arceli (@arceli)
Miembro
26 días atrás

Tive essa situação com a minha segunda equipe, vou tentar depois ver como funciona, obrigado.

Эли
Эли (@eli)
Administrador
26 días atrás

Genial colaboración ProgrammingJS y senpai86Muito obrigado por fornecer soluções para a comunidade.

profiler 2.0
profiler 2.0 (@profiler-2-0)
autor
26 días atrás

Obrigado pela contribuição, Saudações !!

Luis Serrano
Luis Serrano (@luis-serrano)
Miembro
26 días atrás

Bem, funciona muito bem, obrigado a todos por oferecerem a solução!

jesus david agudelo vallejo
jesus david agudelo vallejo (@jesusdavidagudelovallejo)
Miembro
25 días atrás

Funciona como um encanto!!! Muito obrigado pela ajuda imediata. Já tenho todas as funções de que preciso no Deepin.

Эли
Эли (@eli)
Administrador
Respondiendo a  jesus david agudelo vallejo
24 días atrás

Excelente, estou feliz por você ter encontrado. Esse é o objetivo desses tutoriais.

SmileyDrooler
SmileyDrooler (@smileydrooler)
Miembro
25 días atrás

Funcionou perfeitamente para minha configuração, muito obrigado.

jesus david agudelo vallejo
jesus david agudelo vallejo (@jesusdavidagudelovallejo)
Miembro
23 días atrás

ProgrammingJS
 
Sim, já fiz um backup do sistema. Ao reinstalar com o comando

sudo apt update && sudo apt install dde-dock-graphics-plugin

mesmo erro aparece:

"Dpkg: erro de processamento do pacote bbswitch-dkms (–configure):
o script de pós-instalação do pacote instalado por thread bbswitch-dkms retornou o código de saída de erro 10
dpkg: problemas de dependência que impedem o abelha de definir:
abelha depende de bbswitch-dkms | bbswitch-source; porém:
O pacote bbswitch-dkms' no está configurado todavía.
El paquete
bbswitch-source 'não está instalado'.

Como faço para instalar este pacote?

Car
Car (@car)
autor
Respondiendo a  jesus david agudelo vallejo
23 días atrás

Não tenho Nvidia, mas entrei no tópico de discussão, não é o pacote dde-dock-graphics-plugin, o problema é gerado pelo bumblebee e dá esta mensagem. Vou ver o que mais encontro.

Captura de pantalla_área-de-selección_20210414203828.png
Jorge Villegas
Jorge Villegas (@jorgevillegas)
Miembro
Respondiendo a  jesus david agudelo vallejo
22 días atrás

Estou com o mesmo problema, acabei de fazer uma instalação limpa e segui os passos indicados aqui e estou com o mesmo problema de Jesús David

Car
Car (@car)
autor
Respondiendo a  Jorge Villegas
22 días atrás

Imagem de espaço reservado de Jorge Villegas Já descobri o problema e já o relatei ao deepin. a causa são dois pacotes debian mal construídos. estes são bbswitch-dkms e pirmus-libs que já tem versões corrigidas em backports debian 10. Então, primeiro eles resolvem o problema do dpkg como este

 sudo rm /var/lib/dpkg/info/bbswitch-dkms.postinst 

Então você tem que limpar o zangão e o primus assim

sudo apt purge bumblebee primus-libs

Em seguida, execute um

sudo apt autoremove 

Por fim, baixe e clique duas vezes em ambos os pacotes

https://packages.debian.org/buster-backports/bbswitch-dkms e

 https://packages.debian.org/buster-backports/primus-libs

e podemos continuar este tutorial.

Эли
Эли (@eli)
Administrador
24 días atrás

Luis serrano e SmileyDrooler Ótimo, fico feliz que você tenha seguido as etapas do artigo. Obrigado por relatar sua experiência.

Saudações.

jesus david agudelo vallejo
jesus david agudelo vallejo (@jesusdavidagudelovallejo)
Miembro
23 días atrás

ProgramacionJS, hoje encontro um problema depois de seguir os passos descritos neste artigo, que me ajudaram a resolver o meu problema com o meu monitor externo. Ao executar o comando sudo apt upgrade mostra-me a seguinte mensagem (imagem anexada do terminal)

O que posso fazer para corrigir esse erro que aparece sempre que atualizo o sistema?

Obrigado. Saudações.

error.png
jesus david agudelo vallejo
jesus david agudelo vallejo (@jesusdavidagudelovallejo)
Miembro
21 días atrás

Carro Muito obrigado pela colaboração, com as suas indicações já resolvi o problema. É um prazer ter sua pronta resposta e ajuda.
 

Alex Andrade
Alex Andrade (@alex-andrade-30)
Miembro
20 días atrás

Por aqui funciona muito bem galera, obrigado pela colbaroacion

XOdein
XOdein (@xodein)
Miembro
18 días atrás

Funcionó a la perfección, muchas gracias por el tuto gente

Ramon Milian
Ramon Milian (@ramonmilian)
Miembro
16 días atrás

Excelente tutorial aquí, gracias por compartir con todos.

Mauricio Mandaglio
Mauricio Mandaglio (@mauriciomandaglio)
Miembro
12 días atrás

Muy buena informacion!! muchas gracias!

20
0
Gostaríamos de saber o que você pensa, participe da discussão.x